Ruby - Feature #13056

base option to Dir.glob
12/21/2016 07:59 AM - nobu (Nobuyoshi Nakada)

Status: Closed
Priority: Normal
Assignee:

Target version:

Description

A proposal of base option to Dir.glob method.
https://github.com/ruby/ruby/compare/trunk...nobu:feature/Dir.glob-base

Related to [Feature #7360].

Related issues:
Blocks Ruby - Feature #7360: Adding Pathname#glob Closed

Associated revisions

Revision 4bc4403b2db8d166965faceb1379418296eche27 - 05/25/2017 08:34 AM - stomar (Marcus Stollsteimer)

dir.c: document base keyword argument of Dir.glob

e dir.c: [DOC] document the new base keyword argument of Dir.glob
[Feature #13056]; also improve docs for Dir.glob and Dirf].

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@58885 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 4bc4403b - 05/25/2017 08:34 AM - stomar (Marcus Stollsteimer)
dir.c: document base keyword argument of Dir.glob

e dir.c: [DOC] document the new base keyword argument of Dir.glob
[Feature #13056]; also improve docs for Dir.glob and Dirf].

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@58885 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 83a31e9e90b978d73cbcfadc1b5e936bb395bafe - 08/03/2017 02:14 AM - nobu (Nobuyoshi Nakada)
dir.c: relax base option

e dir.c (dir_glob_options): relax base option. ignore when nil
or an empty string as :base option. [Feature #13056]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59476 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 83a31e9e - 08/03/2017 02:14 AM - nobu (Nobuyoshi Nakada)
dir.c: relax base option

e dir.c (dir_glob_options): relax base option. ignore when nil
or an empty string as :base option. [Feature #13056]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59476 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 1ef613dd0b6db1a3df63224803eadd2911ab427d - 08/03/2017 03:39 AM - nobu (Nobuyoshi Nakada)
dir.c: relative path Dir base

e dir.c (glob_helper): fix globbing based on a relative path Dir.
[Feature #13056]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59479 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 1ef613dd - 08/03/2017 03:39 AM - nobu (Nobuyoshi Nakada)

dir.c: relative path Dir base

e dir.c (glob_helper): fix globbing based on a relative path Dir.
https://github.com/ruby/ruby/compare/trunk...nobu:feature/Dir.glob-base
https://redmine.ruby-lang.org/issues/7360

[Feature #13056]
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59479 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 7¢7d47d2369881f8ea22da34077459771276786a - 01/10/2018 01:07 AM - Eric Wong
dir.c: pass flags to openat(2) correctly
Flags are 3rd argument of openat(2) while the 4th argument
(mode_t) is unnecessary for our uses. This bug exists since

Ruby 2.5 from r58860 and was discoverd by strace.

e dir.c (nogvl_opendir_at): use openat correctly
[Feature #13056] [Feature #14346]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@61754 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 7¢7d47d2 - 01/10/2018 01:07 AM - Eric Wong

dir.c: pass flags to openat(2) correctly

Flags are 3rd argument of openat(2) while the 4th argument

(mode_t) is unnecessary for our uses. This bug exists since

Ruby 2.5 from r58860 and was discoverd by strace.

e dir.c (nogvl_opendir_at): use openat correctly
[Feature #13056] [Feature #14346]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@61754 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 55¢5054c031cf0a5cb6a86fac5e0dca6f2e0faaa - 02/16/2018 08:31 AM - naruse (Yui NARUSE)
merge revision(s) 61754: [Backport #14346]

dir.c: pass flags to openat (2) correctly

Flags are 3rd argument of openat(2) while the 4th argument

(mode_t) is unnecessary for our uses. This bug exists since

Ruby 2.5 from r58860 and was discoverd by strace.

* dir.c (nogvl_opendir_at): use openat correctly
[Feature #13056] [Feature #14346]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@62427 b2dd03c8-39d4-4d8f-98ff-823fe690080e
Revision 55¢5054c¢ - 02/16/2018 08:31 AM - naruse (Yui NARUSE)
merge revision(s) 61754: [Backport #14346]

dir.c: pass flags to openat (2) correctly

Flags are 3rd argument of openat (2) while the 4th argument

(mode_t) is unnecessary for our uses. This bug exists since

Ruby 2.5 from r58860 and was discoverd by strace.

* dir.c (nogvl_opendir_at): use openat correctly
[Feature #13056] [Feature #14346]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_ 5@62427 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/21/2016 08:00 AM - nobu (Nobuyoshi Nakada)
- Blocks Feature #7360: Adding Pathname#glob added

#2 - 05/19/2017 09:17 AM - matz (Yukihiro Matsumoto)

Looks good to me.

Matz.

#3 - 05/25/2017 02:14 AM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Closed
